API Reference
Sports

Fetch all sports

Fetch a list of all available sports along with the supported markets.

Endpoint overview

Fetch all supported sports available in the public API.

Use case: populate sport filters and navigation tabs before fetching sport-specific data.

Route

GET /api/v1/public/sports
GETHTTP Method

Fetch a list of all available sports along with the supported markets.

Response Body

application/json

application/json

application/json

application/json

application/json

Updated recently

Language

Credentials

X-API-KEY

Try it runs a real request through this site's proxy (avoids CORS). Pasting your key updates the cURL tab and is sent on Try it.

URL

Base URL
https://api.altsportsdata.com
curl -X GET "https://api.altsportsdata.com/api/v1/public/sports"
Click Try it to send the active example request.
Response static example
[
  {
    "key": "wsl",
    "referenceId": 1174117206190029,
    "supportedMarkets": [
      "eventWinnerProjections",
      "heatProjections"
    ],
    "name": "Surfing"
  },
  {
    "key": "bkfc",
    "referenceId": 4598772211003,
    "supportedMarkets": [
      "eventWinnerProjections",
      "moneyline"
    ],
    "name": "Bare Knuckle Fighting Championship"
  },
  {
    "key": "f1",
    "referenceId": 1122334455667,
    "supportedMarkets": [
      "eventWinnerProjections",
      "podiumFinish"
    ],
    "name": "Formula 1"
  }
]
{
  "message": "string",
  "statusCode": 0,
  "timestamp": "string"
}
{
  "message": "string",
  "statusCode": 0,
  "timestamp": "string"
}
{
  "message": "string",
  "statusCode": 0,
  "timestamp": "string"
}
{
  "message": "string",
  "statusCode": 0,
  "timestamp": "string"
}